FROM mthreads/musa:rc4.3.0-devel-ubuntu22.04-amd64 as builder
ADD . /src
WORKDIR /src
RUN cmake -B build \
  -DGGML_MUSA=ON  -DLLAMA_OPENSSL=OFF -DGGML_CUDA_NO_VMM=ON -DMUSA_ARCHITECTURES=${MUSA_ARCH:-22} \
  -DCMAKE_BUILD_TYPE=Release &&\
   cmake --build build -j

FROM mthreads/musa:rc4.3.0-runtime-ubuntu22.04-amd64
COPY --from=builder /src/build/bin /app
WORKDIR /app
ENTRYPOINT [ "/app/llama-cli" ]